#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Crypt
%define		pnam	OpenSSL-X509
Summary:	Crypt::OpenSSL::X509 - Perl extension to OpenSSL's X509 API
Name:		perl-%{pdir}-%{pnam}
Version:	1.811
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d8c9212dc0ce4d3924ec9739acf445cd
URL:		http://search.cpan.org/dist/Crypt-OpenSSL-X509/
BuildRequires:	perl(Module::Install)
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This implement a large majority of OpenSSL's useful X509 API.

The email() method supports both certificates where the subject is of
the form: "... CN=Firstname lastname/emailAddress=user@domain", and
also certificates where there is a X509v3 Extension of the form
"X509v3 Subject Alternative Name: email=user@domain".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorarch}/Crypt/OpenSSL/*.pm
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/X509
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/X509/*.so
%{_mandir}/man3/*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-OpenSSL-X509.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 27e72ba
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 5b088a0
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 15 2018 Adam Osuchowski <adwol@pld-linux.org> e8c4cf3
- up to 1.811

* Sun Jan 10 2016 Adam Osuchowski <adwol@pld-linux.org> ad42ae1
- up to 1.806

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> 688131e
- adapter url

* Sat Oct 04 2014 Adam Osuchowski <adwol@pld-linux.org> 5db541d
- up to 1.804

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1b2e9cc
- removed zero-sized .bs file

* Sat Dec 03 2011 Adam Osuchowski <adwol@pld-linux.org> c8d1ff6
- initial, version 1.800.2

